### Constructor

# Nautilus MenuItem new

#### Declaration [src]

    NautilusMenuItem*
    nautilus_menu_item_new (
      const char* name,
      const char* label,
      const char* tip,
      const char* icon
    )

#### Description [src]

Creates a new menu item that can be added to the toolbar or to a contextual menu.

#### Parameters

`name`

  Type: `const char*`

  The identifier for the menu item.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`label`

  Type: `const char*`

  The user-visible label of the menu item.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`tip`

  Type: `const char*`

  This has no effect.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`icon`

  Type: `const char*`

  This has no effect.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `NautilusMenuItem`

A new `NautilusMenuItem`.

The caller of the function takes ownership of the data, and is responsible for freeing it.